
QGIS Application - Bug report #3251

PDF export creates a PDF with strange text encoding (or something)

2010-11-23 10:31 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13311

Description

In the print composer add something with text (a label, an attribute table or a map including a layer with labels), and export as PDF.

Open the PDF in Adobe reader, select and copy some text, and paste it into a text editor: rather than text you will see squares or

something.

I thought that changing the "Writing System" setting in the "Select font" dialogue might help, but it seems to be ignored - if I change it to

"Latin" and then open the dialogue again it is back to "Any"

N.B. 

- Using Foxit Reader (Windows or Linux version) you should be able to successfully copy the text.

- based on experience with other PDFs that exhibit this behaviour, I suspect most or perhaps all xpdf/poppler based programs will not be

able to copy the text successfully, and some (epdfview) will actually refuse to select it.

- If instead of using the PDF export function I print to a "PDF printer", the text in the created PDF can be copied successfully.

History

#1 - 2010-11-23 10:33 PM - Alister Hood

Sorry - there are three separate bulletted points in the N.B.  I didn't realise trac removes line breaks.

#2 - 2010-11-24 04:29 AM - Marco Hugentobler

- Resolution set to wontfix

- Status changed from Open to Closed

I think this is because the Qt PDF print engine always prints text as graphics. If you print via pdf printer, printing is done via postscript (at least on Linux)

and ps->pdf conversion is done by another tool.

I'm closing this bug because it is not something that can be fixed within QGIS.

#3 - 2010-11-24 01:03 PM - Alister Hood

I'm closing this bug because it is not something that can be fixed within QGIS.

That could well be true :)

But the text is certainly not output as graphics - it is selectable as text in almost all viewers, and Foxit Reader can copy it successfully.
I neglected to say: as well as not being able to copy text to be pasted into another application, the text in the PDF is not searchable (except in Foxit

Reader).

For the record, PDFs exhibiting the same behaviour can also be created by a ghostscript that is presumably misconfigured in some way.  

e.g. see [http://www.murga-linux.com/puppy/viewtopic.php?p=463914#463914]

#4 - 2011-12-13 07:12 PM - Alister Hood

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

This seems to be fixed now, at least in trunk.

#5 - 2011-12-13 07:12 PM - Alister Hood

- Resolution changed from wontfix to worksforme
